# Set-RASPrintingSettings.md

## NAME

Set-RASPrintingSettings

## SYNOPSIS

Update RAS Universal Printing settings.

## SYNTAX

\*\*Set-RASPrintingSettings \[-[DriverAllowMode](#DriverAllowMode) {AllowRedirUsingAnyDriver | AllowRedirUsingSpecifiedDriver | DoNotAllowRedirUsingSpecifiedDriver}] \[[EmbedFonts](#embedfonts-string) *(bool)*] \[-[ExcludedFontsArray](#ExcludedFontsArray) *(string\[])*] \[-[PrinterDriversArray](#PrinterDriversArray) *(string\[])*] \[[PrinterNamePattern](#printernamepattern-string) *(string)*] \[[ReplicatePrinterDrivers](#replicateprinterdrivers-string) *(bool)*] \[[ReplicatePrinterFont](#replicateprinterfont-string) *(bool)*] \[[ReplicatePrinterPattern](#replicateprinterpattern-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Update RAS Universal Printing settings.

## PARAMETERS

## PrinterDriversArray (string\[])

Printer Drivers string array.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExcludedFontsArray (string\[])

Excluded Fonts string array.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PrinterNamePattern (string)

Printer Name Pattern.

Default pattern: %PRINTERNAME% for %USERNAME% by Parallels

Valid pattern variables: %PRINTERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID%

Other valid pattern: 2X Universal Printer

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EmbedFonts (bool)

Embed Fonts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicatePrinterFont (bool)

Replicate Printer Font Settings.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicatePrinterPattern (bool)

Replicate Printer Name Pattern Settings.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicatePrinterDrivers (bool)

Replicate Printer Drivers Settings.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DriverAllowMode

([PrnDriverAllowMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/prndriverallowmode.md)) Printer Drivers allow mode.

Possible values: AllowRedirUsingAnyDriver, AllowRedirUsingSpecifiedDriver, DoNotAllowRedirUsingSpecifiedDriver

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASPrintingSettings -EmbedFonts $false

Updates Universal Printing to disable embedded fonts.

## RELATED LINKS

* [Get-RASPrintingSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprintingsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasprintingsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
